de.vc.jfo.flow

## Class ListItemLabel

- java.lang.Object
- - de.vc.xml.AbstractNode
  - - de.vc.xml.AbstractNodeWithAttributes
    - - de.vc.jfo.FormattingObject
      - - de.vc.jfo.flow.FlowObject
        - - de.vc.jfo.flow.FlowObjectWithElements
          - - de.vc.jfo.flow.ListItemLabel

- All Implemented Interfaces:
    Node, NodeElement, java.io.Serializable, java.lang.Cloneable

      public class ListItemLabel
      extends FlowObjectWithElements

  The fo:list-item-label formatting object contains the content of the label of a list-item, typically used to either enumerate, identify, or adorn the list-item's body.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class de.vc.jfo.FormattingObject

      `EMPTY_ARRAY`

    - ### Fields inherited from class de.vc.xml.AbstractNodeWithAttributes

      `MAP_TYPE_FLYWEIGHT, MAP_TYPE_HASH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListItemLabel()`
    `ListItemLabel(BlockElement block)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ListItemLabel` | `add(BlockElement element)` Adds an formatting object (that is a block-group-member) to this FO at end.
    `ListItemLabel` | `add(int idx, BlockElement element)` Adds an formatting object (that is a block-group-member) to this FO at the given index.
    `void` | `clearEndIndent()` Clears attribute "end-indent".
    `Accessibility` | `getAccessibility()` Gets the accessibilty of this fo.
    `void` | `setAccessibility(Accessibility access)` Sets the accessibility of this fo.
    `void` | `setEndIndentAsBodyStart()` Sets attribute "end-indent" to "body-start()".
    `void` | `setEndIndentAsLabelEnd()` Sets attribute "end-indent" to "label-end()".
    `void` | `setEndIndentIsLabelEnd(boolean b)` Deprecated. Use setEndIndentAsLabelEnd, setEndIndentAsBodyStart and clearEndIndent.

    - ### Methods inherited from class de.vc.jfo.flow.FlowObjectWithElements

      `add, add, add, add, addAllImpl, addAllUnsafe, addAllUnsafe, addElement, addElement, addElements, addElements, addUnsafe, addUnsafe, clone, firstElement, getElements, isEmpty, lastElement, remove, remove, removeAll, removeElement, removeElement, removeLast, replaceElement, setElement`

    - ### Methods inherited from class de.vc.jfo.FormattingObject

      `cloned, clonedList, createUniqueID, doGetAttribute, doSetAttribute, elementCount, get, getAbsolutePosition, getAttributeMap, getBackground, getBorder, getDefinedAttributes, getDocument, getFont, getID, getLanguage, getLogger, getMargin, getMeasureValue, getObjectValue, getObjectValue, getObjectValue, getObjectValue, getOrphans, getPadding, getParentFO, getRelativePosition, getWidows, hasBorder, hasID, hasPadding, isHyphenation, setAbsolutePosition, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setBackground, setBorder, setFont, setHyphenation, setID, setLanguage, setLanguage, setMargin, setOrphans, setPadding, setRelativePosition, setWidows`

    - ### Methods inherited from class de.vc.xml.AbstractNodeWithAttributes

      `getDefaultMapType, setDefaultMapType`

    - ### Methods inherited from class de.vc.xml.AbstractNode

      `addAttributeChangeListener, clearEqualAttributes, clearInheratedAttribute, clearInheratedAttributes, clearValue, contains, contains, copyAttributes, createID, findFirstNodeWithText, findNode, findNodesWithText, fire, fireSaxEvents, getAttrAsBoolean, getAttrAsInteger, getAttrAsString, getAttrAsString, getAttribute, getAttribute, getAttributeMap, getContentText, getContentText, getDefinedAttributes, getElements, getElements, getElements, getFirstElement, getIndex, getLocalName, getNamespacePrefix, getNamespacePrefixes, getNamespaceURI, getParent, getParent, getParent, getParentOrThis, getQName, getRoot, hasEqualAttrs, indexOf, liftInheritedAttribute, removeAttributeChangeListener, setAttribute, setAttributes, setAttrIfNotNull, setEnableAttributeChangeEvent, setNamespace, setParent, setQName, setUndefinedAttributes, writeTo, writeTo, writeTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListItemLabel

          public ListItemLabel()

    - #### ListItemLabel

          public ListItemLabel(BlockElement block)

  - ### Method Detail

    - #### setEndIndentIsLabelEnd

          public void setEndIndentIsLabelEnd(boolean b)

      Deprecated. Use setEndIndentAsLabelEnd, setEndIndentAsBodyStart and clearEndIndent.
      Sets attribute "end-indent" to "label-end()" or clears it.
      Parameters:
        `b` - false clears attribute.

    - #### setEndIndentAsBodyStart

          public void setEndIndentAsBodyStart()

      Sets attribute "end-indent" to "body-start()".

    - #### setEndIndentAsLabelEnd

          public void setEndIndentAsLabelEnd()

      Sets attribute "end-indent" to "label-end()".

    - #### clearEndIndent

          public void clearEndIndent()

      Clears attribute "end-indent".

    - #### add

          public ListItemLabel add(BlockElement element)

      Adds an formatting object (that is a block-group-member) to this FO at end.
      Parameters:
        `element` - FormattingObject.
      Returns:
        This list-item-body for chained calls.

    - #### add

          public ListItemLabel add(int idx,
                          BlockElement element)

      Adds an formatting object (that is a block-group-member) to this FO at the given index.
      Parameters:
        `idx` - Index.
        `element` - FormattingObject.
      Returns:
        This list-item-body for chained calls.

    - #### getAccessibility

          public Accessibility getAccessibility()

      Gets the accessibilty of this fo. Is never null.
      Overrides:
        `getAccessibility` in class `FormattingObject`
      Returns:
        Accessibility.

    - #### setAccessibility

          public void setAccessibility(Accessibility access)

      Sets the accessibility of this fo.
      Overrides:
        `setAccessibility` in class `FormattingObject`
      Parameters:
        `access` - Accessibility.

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.